dxf2gcode(1)

NAME
dxf2gcode - creates CNC machine compatible G-Code from 2D drawings

SYNOPSIS
dxf2gcode [-h] [-e EXPORT_FILENAME] [-q] [filename]

DESCRIPTION

dxf2gcode

This program reads 2D mechanical drawings of parts to be fabricated and produces G-code tool movement instructions for running on automatic machine tools (CNC machines) such as milling machines and lathes.

This is a graphical CAM (Computer Aided Manufacturing) program. It accepts input in DXF, PDF, or Postscript format. It supports milling, drilling, and turning operations, as well as work-holding tabs.

OPTIONS

-h, --help
    show this help message and exit

-e EXPORT_FILENAME, --export EXPORT_FILENAME
    export data to EXPORT_FILENAME

-q, --quiet
    no GUI

SEE ALSO
svg2gcode(1)

AUTHOR
Petter Reinholdtsen